Package dev.plex.hook

# Class VaultHook

java.lang.Object
dev.plex.hook.VaultHook

public class VaultHook extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static net.milkbowl.vault.chat.Chat`
`CHAT`
`private static net.milkbowl.vault.permission.Permission`
`PERMISSIONS`

## Constructor Summary

Constructors
Constructor
Description
`VaultHook()`

## Method Summary

Modifier and Type
Method
Description
`static net.milkbowl.vault.chat.Chat`
`getChat()`
`static net.milkbowl.vault.permission.Permission`
`getPermission()`
`static net.kyori.adventure.text.Component`
`getPrefix(PlexPlayer plexPlayer)`
`private static net.milkbowl.vault.chat.Chat`
`setupChat()`
`private static net.milkbowl.vault.permission.Permission`
`setupPermissions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHAT

private static net.milkbowl.vault.chat.Chat CHAT

### PERMISSIONS

private static net.milkbowl.vault.permission.Permission PERMISSIONS

## Constructor Details

### VaultHook

public VaultHook()

## Method Details

### setupChat

private static net.milkbowl.vault.chat.Chat setupChat()

### setupPermissions

private static net.milkbowl.vault.permission.Permission setupPermissions()

### getPrefix

public static net.kyori.adventure.text.Component getPrefix(PlexPlayer plexPlayer)

### getPermission

public static net.milkbowl.vault.permission.Permission getPermission()

### getChat

public static net.milkbowl.vault.chat.Chat getChat()